de.caff.util.settings.swing

## Class UrlListEditor

- java.lang.Object
- - de.caff.util.settings.swing.AbstractBasicEditorProvider
  - - de.caff.util.settings.swing.UrlListEditor

- All Implemented Interfaces:
    EditorProvider

      class UrlListEditor
      extends AbstractBasicEditorProvider

  An editor for URL lists.
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlListEditor(SwingUrlListPreferenceProperty property, java.util.Locale l, SwingUrlListPreferenceProperty.UrlSelectionMode urlSelectionMode, javax.swing.Action... extraActions)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListSelectionListener(javax.swing.event.ListSelectionListener listener)` Add a selection listener to the URL list.
    `protected static javax.swing.DefaultListModel<java.lang.String>` | `createListModel(java.util.Collection<java.lang.String> c)`
    `javax.swing.JComponent` | `getEditor()` Get a component for editing.
    `void` | `goodBye()` Called when the editor provider is no longer used.
    `void` | `removeListSelectionListener(javax.swing.event.ListSelectionListener listener)` Remove a selection listener to the URL list.
    `void` | `reset()` Reset the value in the editor to the basic value.
    `void` | `save()` Set the basic value from the editor.

    - ### Methods inherited from class de.caff.util.settings.swing.AbstractBasicEditorProvider

      `getDescription, getLabel, getLabelText, getLabelTextWithPunctuation, getTitleText, getToolTipText, isValidValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlListEditor

          public UrlListEditor(@NotNull
                               SwingUrlListPreferenceProperty property,
                               java.util.Locale l,
                               @NotNull
                               SwingUrlListPreferenceProperty.UrlSelectionMode urlSelectionMode,
                               @NotNull
                               javax.swing.Action... extraActions)

      Constructor.
      Parameters:
        `property` - edited property
        `l` - locale
        `urlSelectionMode` - URL selection mode
        `extraActions` - additional actions to be shown in toolbar

  - ### Method Detail

    - #### createListModel

          @NotNull
          protected static javax.swing.DefaultListModel<java.lang.String> createListModel(@NotNull
                                                                                                   java.util.Collection<java.lang.String> c)

    - #### addListSelectionListener

          public void addListSelectionListener(@NotNull
                                               javax.swing.event.ListSelectionListener listener)

      Add a selection listener to the URL list.
      Parameters:
        `listener` - URL list selection listener

    - #### removeListSelectionListener

          public void removeListSelectionListener(@NotNull
                                                  javax.swing.event.ListSelectionListener listener)

      Remove a selection listener to the URL list.
      Parameters:
        `listener` - URL list selection listener

    - #### getEditor

          @NotNull
          public javax.swing.JComponent getEditor()

      Get a component for editing.
      Returns:
        editor component

    - #### reset

          public void reset()

      Reset the value in the editor to the basic value.

    - #### save

          public void save()

      Set the basic value from the editor.

    - #### goodBye

          public void goodBye()

      Called when the editor provider is no longer used.